all:
  none:
  deepstrom:

base:
  episode_number_train: {"-s": [10000]}
  episode_number_test: {"-j": [1000]}
  epoch_number_train_support: {"-e": [300]}
  num_class_background: {"-b": [60]}
  num_class_eval: {"-c": [20]}
  num_example_support: {"-k": [5]}
  num_example_query: {"-i": [15]}
  classification_method:  {"-l": ["proto"]}

deepstrom:
  network: ["deepstrom"]
  base:
  num_example_subsample: {"-m": [16, 64, 128, 256, 512, 1024]}
  kernel: ["-C", "-L"]
  repr_dim: {"-D": [0]}

none:
  network: ["none"]
  base: